InertiaSDK

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::LogWriterBVHSettings Struct Reference

BVH Log Settings. More...

`#include <LogSettings.h>`

## Public Types
enum | BVHAngleSeparator : unsigned { BVH_SEPARATOR_SPACE_ALIGNED = 0 , BVH_SEPARATOR_SPACE_SINGLE }

## Public Member Functions
| LogWriterBVHSettings ()
| LogWriterBVHSettings (std::wstring const &argString)
const std::wstring | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
std::vector< BVHJoint > | joints
| Joints that represent the BVH model.
double | rotationAngle
| Yaw rotation to apply to make the model line up with the data.
double | initialPositionTime
| Number of seconds after which to stop calibrating.
double | initialPositionDuration
| Number of seconds to use for calibration data.
BVHAngleSeparator | separator
| Separation characters between frame angles.

## Detailed Description

BVH Log Settings.

Settings for creating a BioVision Hierarchy (BVH) file.

## Member Enumeration Documentation

## ◆ BVHAngleSeparator

enum inertia::LogWriterBVHSettings::BVHAngleSeparator : unsigned

Type of BVH separator between angles.

Enumerator
BVH_SEPARATOR_SPACE_ALIGNED | Separate with multiple spaces to align the columns.
BVH_SEPARATOR_SPACE_SINGLE | Separate with a single space.

## Constructor & Destructor Documentation

## ◆ LogWriterBVHSettings() [1/2]

inertia::LogWriterBVHSettings::LogWriterBVHSettings | ( |  | ) |

Default constructor.

## ◆ LogWriterBVHSettings() [2/2]

inertia::LogWriterBVHSettings::LogWriterBVHSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates LogWriterBVHSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::LogWriterBVHSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for LogWriterBVHSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

const std::wstring inertia::LogWriterBVHSettings::ToString | ( |  | ) | const

Get a string representation of this LogWriterBVHSettings. The string is compatible with GetOptionDescription() and LogWriterBVHSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- LogSettings.h